Bug 173910 - Further key management facility improvements
Further key management facility improvements
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: keyutils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
:
Depends On: 173486
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-11-22 10:07 EST by David Howells
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2006-0090
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:52:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Howells 2005-11-22 10:07:17 EST
+++ This bug was initially created as a clone of Bug #173486 +++ 
 
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like 
Gecko) 
 
Description of problem: 
The attached patches provide a pair of improvements that are on their way  
upstream:  
  
 (1) A patch to add a keyctl function to permit userspace to set the expiry  
     times on a key.  
  
 (2) A patch that when a key is linked into a keyring causes any links from  
     that keyring to keys that match the new key's type and description to be  
     discarded.  
  
The second patch makes maintenance of keyrings easier, especially when keys  
are timing out and having to be replaced - the old keys get then discarded  
automatically.  
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
The facility provided by patch (1) does not exist without this patch. With    
this patch and an updated keyutils package, the following should create a new    
key, add it to the session keyring and cause it to timeout after 30 seconds:    
    
        keyctl timeout `keyctl add user a a @s` 30    
    
With patch (2), doing:    
    
        keyctl link `keyctl add user a a @s` @s   
        keyctl show  
  
Will show two links to the new key in the session keyring before the patch is  
applied, and one after.  
 
Additional info: 
 
These patches are upstream in Andrew Morton's kernel.  
  
The keyutils will need updating for the facility provided by the first patch  
to become available.
Comment 5 Red Hat Bugzilla 2006-03-07 13:52:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2006-0090.html

Note You need to log in before you can comment on or make changes to this bug.